Nonsense Parser Microframework
Miss any of our Open RFC calls?Watch the recordings here! »

eslint-config-nova-react

1.0.6 • Public • Published

eslint-config-nova-react

This package provides a strict ESlint config TypeScript and React projects using Prettier, JS modules and concerned about accessibility.

It has several peer dependencies needed for each kind of rules it contains:

  • @typescript-eslint/eslint-plugin
  • @typescript-eslint/parser
  • eslint
  • eslint-config-prettier
  • eslint-import-resolver-typescript
  • eslint-plugin-import
  • eslint-plugin-jest
  • eslint-plugin-prettier
  • typescript
  • eslint-plugin-jsx-a11y
  • eslint-plugin-react
  • eslint-plugin-react-hooks

Usage

  1. Install the correct versions of each package, which are listed by the command:
npm info "eslint-config-nova-react@latest" peerDependencies

If using npm 5+, use this shortcut

npx install-peerdeps --dev eslint-config-nova-react

If using yarn, you can also use the shortcut described above if you have npm 5+ installed on your machine, as the command will detect that you are using yarn and will act accordingly. Otherwise, run npm info "eslint-config-airbnb-base@latest" peerDependencies to list the peer dependencies and versions, then run yarn add --dev <dependency>@<version> for each listed peer dependency.

  1. Add "extends": "nova-react" to your .eslintrc.

Ignored Rules

Most of the rules are activated and will trigger errors. Here is a list of all the rules that are ignored in this config:

TBD

Install

npm i eslint-config-nova-react

DownloadsWeekly Downloads

104

Version

1.0.6

License

ISC

Unpacked Size

41.4 kB

Total Files

20

Last publish

Collaborators

  • avatar